#include "triangles.h"

std::vector<std::vector<int>> solve(int n) {
    // Example of compare:
    // Пример использования функции compare:
    std::vector<Triangle> left = {Triangle(0, 1, 2)};
    std::vector<Triangle> right = {Triangle(1, 2, 3)};
    int compare_result = compare(left, right);
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.
    for (int a = 0; a < 4; a++) {
        for (int b = 0; b < 4; b++) {
            if (a == b) continue;
            for (int c = 0; c < 4; c++) {
                if (a == c || b == c) continue;
                for (int d = 0; d < 4; d++) {
                    if (a == d || b == d || c == d) continue;
                    if (compare({Triangle({a, b, c}), Triangle{b, c, d}}, {Triangle({a, b, d}), Triangle{b, c, d}}) == 0) {
                        return {{a, b, c}, {b, c, d}};
                    }
                }
            }
        }
    }
    // Example of return:
    // Пример возвращаемого значения:
    std::vector<std::vector<int>> ans = {{3, 1, 2}, {0, 2, 3}};
    return ans;
}
